// Bid.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Bid.h"
#include "Watson.h"
#include "Tutorial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CBid 


CBid::CBid(CWnd* pParent /*=NULL*/)
	: CDialog(CBid::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBid)
	m_text1 = _T("");
	m_text2 = _T("");
	m_text3 = _T("");
	//}}AFX_DATA_INIT
}


void CBid::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBid)
	DDX_Control(pDX, IDC_HELPTEXT, m_help);
	DDX_Control(pDX, IDC_TEXT3, m_t3);
	DDX_Control(pDX, IDC_TEXT2, m_t2);
	DDX_Control(pDX, IDC_TEXT1, m_t1);
	DDX_Control(pDX, IDC_HOLD, m_hold);
	DDX_Control(pDX, ID_PASS, m_pass);
	DDX_Text(pDX, IDC_TEXT1, m_text1);
	DDX_Text(pDX, IDC_TEXT2, m_text2);
	DDX_Text(pDX, IDC_TEXT3, m_text3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBid, CDialog)
	//{{AFX_MSG_MAP(CBid)
	ON_BN_CLICKED(ID_PASS, OnPass)
	ON_BN_CLICKED(IDC_HOLD, OnHold)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_HELPTEXT, OnHelptext)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen  Nachrichten CBid 

void CBid::OnPass() 
{
	if(playGame)	//Spieler hat mitgeboten
		value3=points;	
	else 
	{
		value3=points-10;		
	}
	
	if((value2>value1+10)&&p2==true)
		mostBidder=2;	//Spieler 2 bekommt das Spiel
	else if
		(p1==true)
		mostBidder=1;	//Spieler 1 bekommt das Spiel
	else
		enddialog=true;	//Spieler 3 bekommt das Spiel	

	//Gegner wird um 10 Eerboten

	
	if(value1>value2)
	{
		passvalue=value2-(value2 % 10)+10;	//P2 erbietet P1
	}
	else
	{
		passvalue=value1-(value1 % 10)+10;	//P1 erbietet P2
	}

	if(passvalue<points)
		passvalue=points;

	CString str1, str2;

	if(mostBidder==1)
	{		
		str1="";				

		str2=name1+" gets the game for "+IntToStr(passvalue);
	}

	else if(mostBidder==2)
	{		
		str1="";		

		str2=name2+" gets the game for "+IntToStr(passvalue);
	}

	m_text1=str1;
	m_text2=str2;
	m_text3="";
		
	if(enddialog==true)
		OnOK();

	else
	{
	enddialog=true;
	m_hold.EnableWindow(FALSE);
	m_pass.SetWindowText("OK");			
	m_pass.SetFocus();
	
	UpdateData(FALSE);
	}	
}

void CBid::OnHold() 
{
	CString str1, str2, str3;

	if(firsttime&&beginningPlayer==3)
		firsttime=false;
	else
	points+=10;	//Spieler reizt weiter um 10 Punkte	
	
	if(p1)
	{
		if(value1>points)
		{
			str1=name1+" bids "+IntToStr(points+10);
			points+=10;
		}
		else
		{
			str1=name1+" has passed";
			p1=false;
				
			mostBidder=2;
		}
	}
	else str1=name1+" has passed";

	if(p2)
	{
		if(value2>points+10)
		{
			str2=name2+" bids "+IntToStr(points+10);
			points+=10;
		}
		else
		{
			str2=name2+" has passed";
			p2=false;

			mostBidder=1;
		}
	}
	else str2=name2+" has passed";

	if(p1||p2)	//noch wenigstens einer bietet mit
		str3="Do you say "+IntToStr(points+10)+"?";

	else
	{
		str3="You get the game for "+IntToStr(points);
		m_hold.EnableWindow(FALSE);
		m_pass.SetWindowText("OK");
		playGame=true;
		m_pass.SetFocus();

		mostBidder=3;
	}
	
	m_text1=str1;
	m_text2=str2;
	m_text3=str3;	

	UpdateData(FALSE);	
}

BOOL CBid::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_help.SetIcon(IDI_HELP);
	m_help.SetTooltipText(IDS_STRING1);

	font1.CreateFont(-16, 0, 0, 0, FW_SEMIBOLD, FALSE, FALSE,0,0,0,0,0,0, "Arial");

	m_t1.SubclassDlgItem(IDC_TEXT1, this);    
    m_t1.SetTextColor(RGB(0, 0, 255));
	m_t1.SetFont(&font1);

	m_t2.SubclassDlgItem(IDC_TEXT2, this);    
    m_t2.SetTextColor(RGB(0, 0, 255));
	m_t2.SetFont(&font1);

	m_t3.SubclassDlgItem(IDC_TEXT3, this);    
    m_t3.SetTextColor(RGB(200, 0, 0));
	m_t3.SetFont(&font1);	

	p1=p2=true;		//beide Computerspieler noch im Rennen
	
	playGame=false;	//Spieler hat das Spiel noch nicht

	enddialog=false;

	firsttime=true;

	passvalue=0;
	
	points=40;
	
	CString str1, str2, str3;	
	
	if(beginningPlayer==1)
	{
		str1=name1+" bids 40";		

		if(value2>=50)
		{
			str2=name2+" bids 50";
			points+=10;
			str3="Do you bid 60?";	

			mostBidder=2;
		}
		else
		{
			str2=name2+" has passed";			

			str3="Do you bid 50?";
			p2=false;

			mostBidder=1;
		}		

		m_text1=str1;
		m_text2=str2;
		m_text3=str3;
	}		

	else if(beginningPlayer==2)
	{
		str1=name2+" bids 40";		

		str2="Do you bid 50?";		
			

		m_text1=str1;
		m_text2=str2;
		m_text3="";
	}		

	else if(beginningPlayer==3)
	{
		str1="You start bidding";		

		str2="Do you say 40?";		
			

		m_text1=str1;
		m_text2=str2;
		m_text3="";
	}		

	UpdateData(FALSE);
	
	return TRUE;
}

void CBid::OnDestroy() 
{
	CDialog::OnDestroy();
	
	font1.DeleteObject();		
}

BOOL CBid::PreTranslateMessage(MSG *pMsg)
{
	if (pMsg->message==WM_KEYDOWN && pMsg->wParam==VK_ESCAPE)
		return(TRUE);
	return CDialog::PreTranslateMessage(pMsg);
}

void CBid::OnHelptext() 
{
	Tutorial tut;
	tut.DoModal();
}
