// Evaluation.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Evaluation.h"
#include "Watson.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CEvaluation 


CEvaluation::CEvaluation(CWnd* pParent /*=NULL*/)
	: CDialog(CEvaluation::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEvaluation)
	m_text = _T("");
	//}}AFX_DATA_INIT

	for(int i=0;i<50;i++)
	{
		scoreP1[i]=0;
		scoreP2[i]=0;
		scoreP3[i]=0;
	}

	sum1=sum2=sum3=0;
}


void CEvaluation::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEvaluation)
	DDX_Control(pDX, IDC_LIST1, m_table);
	DDX_Text(pDX, IDC_TEXT1, m_text);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEvaluation, CDialog)
	//{{AFX_MSG_MAP(CEvaluation)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen  Nachrichten CEvaluation 

BOOL CEvaluation::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	UpdateData(TRUE);

	m_table.SetBkColor(RGB(220,250,200));
	m_table.SetTextBkColor(RGB(220,250,200));		

	LV_COLUMN lvCol;
	lvCol.mask = LVCF_FMT | LVCF_WIDTH | LVCF_TEXT | LVCF_SUBITEM;
	lvCol.fmt = LVCFMT_LEFT;
	lvCol.cx=80;

	lvCol.iSubItem=0;
	lvCol.pszText="Game No.";
	m_table.InsertColumn(0, &lvCol);

	char nc1[21];
	strncpy(nc1,name1,15);
	char nc2[21];
	strncpy(nc2,name2,15);
	char nc3[21];
	strncpy(nc3,name3,15);

	lvCol.iSubItem=1;
	lvCol.pszText=nc1;
	m_table.InsertColumn(1, &lvCol);

	lvCol.iSubItem=2;
	lvCol.pszText=nc2;
	m_table.InsertColumn(2, &lvCol);
	
	lvCol.iSubItem=3;
	lvCol.pszText=nc3;
	m_table.InsertColumn(3, &lvCol);
	
	LV_ITEM lvItem;
	lvItem.mask = LVIF_TEXT | LVIF_STATE;
	lvItem.state=0;
	lvItem.stateMask=0;		

	sum1=sum2=sum3=0;	

	for(int i=0;i<playedGames;i++)
	{
		sum1+=scoreP1[i];
		sum2+=scoreP2[i];
		sum3+=scoreP3[i];

		if(sum1>1000&&sum1>sum2&&sum1>sum3)winner=1;
		else if(sum2>1000&&sum2>sum1&&sum2>sum3)winner=2;
		else if(sum3>1000&&sum3>sum1&&sum3>sum2)winner=3;
		else winner=0;

		char str0[5], str1[6], str2[6], str3[6];	

		strncpy(str0,IntToStr(i+1),4);
		strncpy(str1,IntToStr(scoreP1[i]),5);
		strncpy(str2,IntToStr(scoreP2[i]),5);	
		strncpy(str3,IntToStr(scoreP3[i]),5);		
		
		lvItem.iItem = i;
		lvItem.iSubItem = 0;	
		lvItem.pszText=str0;			
		m_table.InsertItem(&lvItem);
		m_table.SetItemText(i, 1, str1);	//Score1
		m_table.SetItemText(i, 2, str2);	//Score2
		m_table.SetItemText(i, 3, str3);	//Score3

		if(i==playedGames-1)
		{
			strncpy(str0,"Sum:",5);
			strncpy(str1,IntToStr(sum1),5);
			strncpy(str2,IntToStr(sum2),5);	
			strncpy(str3,IntToStr(sum3),5);			
			
			lvItem.iItem = i+1;
			lvItem.iSubItem = 0;	
			lvItem.pszText=str0;			

			if(playedGames>1)
			{
				m_table.InsertItem(&lvItem);
				m_table.SetItemText(i+1, 1, str1);	
				m_table.SetItemText(i+1, 2, str2);
				m_table.SetItemText(i+1, 3, str3);
			}
		}
	}		

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurEkgeben
}

void CEvaluation::Reset()
{
	for(int i=0;i<50;i++)
	{
		scoreP1[i]=0;
		scoreP2[i]=0;
		scoreP3[i]=0;
	}

	playedGames=0;
}


