// Options.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Options.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// Dialogfeld Options 


Options::Options(CWnd* pParent /*=NULL*/)
	: CDialog(Options::IDD, pParent)
{
	//{{AFX_DATA_INIT(Options)
	m_name1 = _T("");
	m_name2 = _T("");
	m_name3 = _T("");
	//}}AFX_DATA_INIT
}


void Options::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Options)
	DDX_Control(pDX, IDC_CHEAT, m_cheatcontrol);
	DDX_Control(pDX, IDC_SOUND, m_soundcontrol);
	DDX_Control(pDX, IDC_RADIO1, m_r1);
	DDX_Control(pDX, IDC_RADIO2, m_r2);
	DDX_Control(pDX, IDC_RADIO3, m_r3);
	DDX_Text(pDX, IDC_EDIT1, m_name1);
	DDV_MaxChars(pDX, m_name1, 20);
	DDX_Text(pDX, IDC_EDIT2, m_name2);
	DDV_MaxChars(pDX, m_name2, 20);
	DDX_Text(pDX, IDC_EDIT3, m_name3);
	DDV_MaxChars(pDX, m_name3, 20);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Options, CDialog)
	//{{AFX_MSG_MAP(Options)
	ON_BN_CLICKED(IDC_CHEAT, OnCheat)
	ON_BN_CLICKED(IDC_RADIO1, OnRadio1)
	ON_BN_CLICKED(IDC_RADIO2, OnRadio2)
	ON_BN_CLICKED(IDC_RADIO3, OnRadio3)
	ON_BN_CLICKED(IDC_SOUND, OnSound)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen  Nachrichten Options 


void Options::OnCheat() 
{
	m_cheat^=true;	
}

void Options::OnRadio1() 
{
	cardcolor=1;	
}

void Options::OnRadio2() 
{
	cardcolor=2;	
}

void Options::OnRadio3() 
{
	cardcolor=3;	
}

BOOL Options::OnInitDialog() 
{
	CDialog::OnInitDialog();

	if(sound==true)m_soundcontrol.SetCheck(1);
	else m_soundcontrol.SetCheck(0);

	if(m_cheat==true)m_cheatcontrol.SetCheck(1);
	else m_cheatcontrol.SetCheck(0);
	
	if(cardcolor==1)m_r1.SetCheck(1);
	else if(cardcolor==2)m_r2.SetCheck(1);
	else if(cardcolor==3)m_r3.SetCheck(1);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurEkgeben
}

void Options::OnSound() 
{
	sound^=true;	
}
