// Score.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Score.h"
#include "Watson.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CScore 


CScore::CScore(CWnd* pParent /*=NULL*/)
	: CDialog(CScore::IDD, pParent)
{
	//{{AFX_DATA_INIT(CScore)
	m_winner = _T("");
	//}}AFX_DATA_INIT
}


void CScore::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CScore)	
	DDX_Control(pDX, IDC_WINNER2, m_t2);
	DDX_Control(pDX, IDC_WINNER, m_t1);
	DDX_Text(pDX, IDC_WINNER, m_winner);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CScore, CDialog)
	//{{AFX_MSG_MAP(CScore)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen  Nachrichten CScore 

BOOL CScore::OnInitDialog() 
{
	CDialog::OnInitDialog();	

	font1.CreateFont(-16, 0, 0, 0, FW_SEMIBOLD, FALSE, FALSE,0,0,0,0,0,0, "Arial");
	font2.CreateFont(-16, 0, 0, 0, FW_BOLD, FALSE, FALSE,0,0,0,0,0,0, "Arial");

	m_t1.SubclassDlgItem(IDC_WINNER, this);    
    m_t1.SetTextColor(RGB(255, 0, 0));
	m_t1.SetFont(&font2);

	m_t2.SubclassDlgItem(IDC_WINNER2, this);    
    m_t2.SetTextColor(RGB(0, 0, 255));
	m_t2.SetFont(&font1);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurEkgeben
}

void CScore::OnDestroy() 
{
	CDialog::OnDestroy();
	
	font1.DeleteObject();
	font2.DeleteObject();	
}
