// Wave.h: interface for the CWave class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __WAVE_H__
#define __WAVE_H__

class CWave  
{
public:
	CWave();
	virtual ~CWave();

	int GetDevices (void);
	BOOL LoadFromDisk (CString);
	BOOL LoadFromRes (CString, HINSTANCE);
	void Close (void);
	BOOL Play (BOOL bLoop = FALSE);
	void Stop (void);	
	static BOOL PlayFromDisk (CString);
	static BOOL PlayFromRes (CString, HINSTANCE);

private:
	void *AllocMem (DWORD);
	void FreeMem (void far *);

	int m_nType;
	BOOL m_bRecording;
	BOOL m_bOpened;
	void *m_pSoundData;
	WORD m_wDeviceID;
	HANDLE m_hResHandle;
	HINSTANCE m_hInstance;
};

#endif //__WAVE_H__
