// Announce.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Announce.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CAnnounce 


CAnnounce::CAnnounce(CWnd* pParent /*=NULL*/)
	: CDialog(CAnnounce::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAnnounce)
	m_str1 = _T("");
	//}}AFX_DATA_INIT
}


void CAnnounce::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAnnounce)
	DDX_Control(pDX, IDC_STR1, m_t1);
	DDX_Control(pDX, IDC_TRUMPF, m_trumpficon);
	DDX_Text(pDX, IDC_STR1, m_str1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAnnounce, CDialog)
	//{{AFX_MSG_MAP(CAnnounce)
	ON_WM_TIMER()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen Nachrichten CAnnounce 


BOOL CAnnounce::OnInitDialog() 
{
	CDialog::OnInitDialog();

	font1.CreateFont(-16, 0, 0, 0, FW_SEMIBOLD, FALSE, FALSE,0,0,0,0,0,0, "Arial");

	m_t1.SubclassDlgItem(IDC_STR1, this);    
    m_t1.SetTextColor(RGB(200, 0, 0));
	m_t1.SetFont(&font1);

	HkaroIcon=AfxGetApp()->LoadIcon(IDI_KARO);
	HherzIcon=AfxGetApp()->LoadIcon(IDI_HERZ);
	HpikIcon=AfxGetApp()->LoadIcon(IDI_PIK);
	HkreuzIcon=AfxGetApp()->LoadIcon(IDI_KREUZ);
	
	if(m_icon==40)m_trumpficon.SetIcon(HkaroIcon);
	else if(m_icon==60)m_trumpficon.SetIcon(HherzIcon);
	else if(m_icon==80)m_trumpficon.SetIcon(HpikIcon);
	else if(m_icon==100)m_trumpficon.SetIcon(HkreuzIcon);	

	SetTimer(IDT_TIMER4,1500,NULL);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurEkgeben
}

void CAnnounce::OnTimer(UINT nIDEvent) 
{
	KillTimer(IDT_TIMER4);

	OnOK();
	
	CDialog::OnTimer(nIDEvent);
}

void CAnnounce::OnDestroy() 
{
	CDialog::OnDestroy();
	
	font1.DeleteObject();	
}
