// Counter.cpp: Implementierung der Klasse CCounter.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "stdafx.h"
#include "Counter.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


//color:
const int KARO=1;
const int HERZ=2;
const int PIK=3;
const int KREUZ=4;
//value:
const int BUBE=2;
const int DAME=3;
const int KOENIG=4;
const int ZEHN=10;
const int AS=11;

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CCounter::CCounter()
{
	
}

CCounter::~CCounter()
{

}

void CCounter::count(int player, int card, int pairtrumpf, bool dealer)
{
	int trumpfbonus=0;

	if(dealer)
		trumpf=getColor(card);

	if((getColor(card)==pairtrumpf)&&(pairtrumpf>0))
		trumpfbonus=100;


	if(player==1)
	{
		if(dealer||getColor(card)==trumpf||getColor(card)==pairtrumpf)
		points1+=(getValue(card)+trumpfbonus);
	}
	else if (player==2)
	{
		if(dealer||getColor(card)==trumpf||getColor(card)==pairtrumpf)
		points2+=(getValue(card)+trumpfbonus);
	}
	else if (player==3)
	{
		if(dealer||getColor(card)==trumpf||getColor(card)==pairtrumpf)
		points3+=(getValue(card)+trumpfbonus);
	}
}

void CCounter::deletePoints()
{
	points1=points2=points3=0;
}

int CCounter::getValue(int index)
{
	int value;

	if(index>0&&index<5)value=2;
	else if(index>4&&index<9)value=3;
	else if(index>8&&index<13)value=4;
	else if(index>12&&index<17)value=10;
	else if(index>16&&index<21)value=11;
	else value=0;

	return value;
}

int CCounter::getColor(int index)
{	
	int color;

	switch(index)
	{
	case 1: color=KARO;		break;
		case 5: color=KARO;		break;
			case 9: color=KARO;		break;
				case 13: color=KARO;		break;
					case 17: color=KARO;		break;
	case 2: color=HERZ;		break;
		case 6: color=HERZ;		break;
			case 10: color=HERZ;		break;
				case 14: color=HERZ;		break;
					case 18: color=HERZ;		break;
	case 3: color=PIK;		break;
		case 7: color=PIK;		break;
			case 11: color=PIK;		break;
				case 15: color=PIK;		break;
					case 19: color=PIK;		break;
	case 4: color=KREUZ;		break;
		case 8: color=KREUZ;		break;
			case 12: color=KREUZ;		break;
				case 16: color=KREUZ;		break;
					case 20: color=KREUZ;		break;
	}

	return color;
}

int CCounter::mostPoints()
{
	int temp, player;

	if(points1>points2){temp=points1;player=1;}
	else {temp=points2;player=2;}

	if(points3>temp)return 3;
	else return player;
}
