// Fan.cpp: Implementierung der Klasse CFan.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "stdafx.h"
#include "Fan.h"
#include "Watson.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//color:
const int KARO=1;
const int HERZ=2;
const int PIK=3;
const int KREUZ=4;
//value:
const int BUBE=2;
const int DAME=3;
const int KOENIG=4;
const int ZEHN=10;
const int AS=11;

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CFan::CFan()
{
	SetToNull(card);
	number=0;
}

CFan::~CFan()
{

}

void CFan::addCard(int index)
{
	card[number]=index;	

	number++;
}

void CFan::removeCard(int index)
{
	int i;

	for(i=0;i<number;i++)
	if(card[i]==index)
		card[i]=0;	

	number--;	

	for(i=0;i<number;i++)		//"AufrEken"
		if(card[i]==0)
		{
			card[i]=card[i+1];
			card[i+1]=0;
		}
}


void CFan::removeFan()
{
	for(int i=0;i<8;i++)
		card[i]=0;

	number=0;
}

int CFan::getColor(int index)
{
	int color;

	switch(index)
	{
	case 1: color=KARO;		break;
		case 5: color=KARO;		break;
			case 9: color=KARO;		break;
				case 13: color=KARO;		break;
					case 17: color=KARO;		break;
	case 2: color=HERZ;		break;
		case 6: color=HERZ;		break;
			case 10: color=HERZ;		break;
				case 14: color=HERZ;		break;
					case 18: color=HERZ;		break;
	case 3: color=PIK;		break;
		case 7: color=PIK;		break;
			case 11: color=PIK;		break;
				case 15: color=PIK;		break;
					case 19: color=PIK;		break;
	case 4: color=KREUZ;		break;
		case 8: color=KREUZ;		break;
			case 12: color=KREUZ;		break;
				case 16: color=KREUZ;		break;
					case 20: color=KREUZ;		break;
	}

	return color;
}

void CFan::SortForColors()
{		
	int i, j, k;	
	int tcard[8];
	
	for(j=0; j<(number-1);j++)
	{
		for(k=j+1;k<number;k++)
		{			
			order(card[j],card[k]);			
		}
	}
	
	//Karte  Karte durchgehen
	//von Kreuz nach Karo durchprEen
	//wenn Farbe korrekt, dann in neues Array setzen
	//neues Array eins hochzlen
	//Original-Array = neues Array setzen

	j=0;

	for(int col=4;col>0;col--)
	{
		for(i=0;i<number;i++)
		{
			if(getColor(card[i])==col)
			{
			tcard[j]=card[i];
			j++;
			}
		}	
	}

	for(i=0;i<number;i++)
	{	
		card[i]=tcard[i];
	}

}

void CFan::order(int& a, int& b)
{
	if(a<b)
	{
		int temp=a;
		a=b;
		b=temp;
	}
}

int CFan::getNumber()
{
	return number;
}
