#ifndef WATSON_H
#define WATSON_H

////////Watson's Little Helper-Functions/////////////////
////////Watson.h/////////////////////////////////////////

////Use to produce random integer numbers////////
////in the range of 0 ... i//////////////////////

inline int Random(int i)
{
	static bool firsttime=true;

	if(firsttime==true)
	{
		firsttime=false;

		srand( (unsigned)time( NULL ) );

		int x=Random(10);	//Workaround
	}

	//return rand()/(RAND_MAX/i);
	return rand() % i;
}

////Use to convert integers to CStrings//////////

inline CString IntToStr(int i)
{	
	char ch[10];			

	_itoa(i, ch, 10);
			
	CString output=ch;	

	return output;
}

////Sets all the members of an int-array to Zero//////

inline void SetToNull(int arr[])
{
int size=sizeof arr;

for(int i=0;i<size;i++)
	{		
		arr[i]=0;
	}
}

inline void Circle(CDC &dc, int x,int y,int d)
{		
	int xm=x-(d/2);
	int ym=y-(d/2);
	
	dc.Ellipse(xm,ym,xm+d,ym+d);
}

inline void DebugText(CDC &dc, int x,int y, CString s)
{		
	CFont font;
	font.CreatePointFont(120,"Arial",&dc);

	CFont *pOldFont=dc.SelectObject(&font);

	dc.SetBkMode(TRANSPARENT);		

	dc.SetTextColor(RGB(50,50,50));
		dc.TextOut(x+2,y+2,s);	

	dc.SetTextColor(RGB(255,255,0));
		dc.TextOut(x,y,s);	
		
	dc.SelectObject(pOldFont);
	dc.SetBkMode(OPAQUE);	
	dc.SetTextColor(RGB(0,0,0));
}

# endif